GNU Radio's SATELLITES Package

encode_rs.h File Reference

Go to the source code of this file.

## Macros
#define | A0 (NN) /* Special reserved value encoding zero in index form */

## Functions
| memset (parity, 0, NROOTS *sizeof(data_t))
| for (i=0;i< NN - NROOTS - PAD;i++)

## Variables
data_t | feedback

## Macro Definition Documentation

## ◆ A0

#define A0 (NN) /* Special reserved value encoding zero in index form */

## Function Documentation

## ◆ for()

for | ( |  | ) |

References A0, ALPHA_TO, feedback, GENPOLY, i, INDEX_OF, j, MODNN, NN, NROOTS, and PAD.

## ◆ memset()

memset | ( | parity | ,
|  | 0 | ,
|  | NROOTS * | sizeofdata_t )

References NROOTS.

## Variable Documentation

## ◆ feedback

data_t feedback

Initial value:
{
int i, j
j
int j
Definition lib/libfec/decode_rs.h:73
i
int i
Definition lib/libfec/decode_rs.h:73

Referenced by for().